Bug 429373 - doesn't handle openswan for IPSEC
doesn't handle openswan for IPSEC
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Security_Guide (Show other bugs)
6.0
All Linux
low Severity low
: rc
: ---
Assigned To: Scott Radvan
Joshua Wulf
: Documentation
Depends On:
Blocks: 429362 429371 547583
  Show dependency treegraph
 
Reported: 2008-01-18 17:43 EST by Bill Nottingham
Modified: 2016-06-17 17:08 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-20 19:35:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Openswan doc (103.12 KB, application/x-msdownload)
2010-04-16 09:15 EDT, Avesh Agarwal
no flags Details

  None (edit)
Description Bill Nottingham 2008-01-18 17:43:20 EST
The deployment guide describes ipsec configuration using initscripts ifcfg files
and racoon. If we want to fully switch to openswan, we need to update the
documentation.

This depends on how we decide to handle openswan configuration, though.
Comment 1 Don Domingo 2008-01-21 17:42:33 EST
setting as NEEDINFO=reporter for content sources.
Comment 3 RHEL Product and Program Management 2009-07-28 17:29:13 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Scott Radvan 2010-02-23 18:50:34 EST
Marking as NEEDINFO=reporter for content sources if this is to added to the Security Guide.
Comment 5 Bill Nottingham 2010-02-24 12:47:57 EST
Moving NEEDINFO to openswan maintainer. In any case, the ipsec-tools ifcfg file documentation needs removed, as that's not in RHEL 6.
Comment 6 Avesh Agarwal 2010-02-24 12:59:46 EST
ipsec-tools are not related to Openswan. So removing ipsec-tools documents should not affect Openswan. And yes if Openswan document is not there then, that should be included in RHEL6 deployment guide.
Comment 7 Douglas Silas 2010-02-27 19:16:02 EST
I have removed the entire section on IPsec interface configuration from the RHEL6 Deployment Guide. According to Bill: "there is no integration into initscripts or NetworkManager for openswan at this time." That being the case, the likely target for Openswan documentation at this point is the Security Guide (current component).
Comment 8 Scott Radvan 2010-04-14 23:56:08 EDT
happy to write content into the documentation if I can get some advice of the
state of openswan, or some sort of outline/details of what should be covered. anyone?
Comment 9 Bill Nottingham 2010-04-15 09:45:12 EDT
Avesh - can you provide this info?
Comment 10 Avesh Agarwal 2010-04-15 09:59:13 EDT
Sure. I had prepared a document for GSS and QE training last month that I can send to Scott. This doc can be used as a starting point and if something is not clear, I am provide more info.
Comment 11 Scott Radvan 2010-04-15 20:51:26 EDT
Avesh, sounds great, please send asap.
Comment 12 Avesh Agarwal 2010-04-16 09:15:26 EDT
Created attachment 407096 [details]
Openswan doc
Comment 13 Avesh Agarwal 2010-04-16 09:16:30 EDT
Hello Scott,

I have attached the doc, please let me know if you have any questions or need any other details.

Avesh

Note You need to log in before you can comment on or make changes to this bug.